[Fedora-livecd-list] 5 commits - imgcreate/creator.py imgcreate/live.py Makefile tools/livecd-iso-to-disk.sh

Brian C. Lane bcl at fedoraproject.org
Thu Feb 17 20:12:10 UTC 2011


 Makefile                    |    2 +-
 imgcreate/creator.py        |    2 +-
 imgcreate/live.py           |    4 +++-
 tools/livecd-iso-to-disk.sh |   21 +++++++++++++++++----
 4 files changed, 22 insertions(+), 7 deletions(-)

New commits:
commit e5963245b43abbf13888ba58f11ad914f6efb648
Author: Brian C. Lane <bcl at redhat.com>
Date:   Wed Feb 16 09:44:05 2011 -0800

    Version 16.1

diff --git a/Makefile b/Makefile
index 7ac3511..0de167f 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
 
-VERSION = 16.0
+VERSION = 16.1
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


commit d7434d405d29ff95cab89e664056ddb4d031be7d
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu Feb 17 12:10:26 2011 -0800

    Print reason for sudden exit

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 213985e..700eac4 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -740,17 +740,26 @@ SRC=$(readlink -f "$1")
 TGTDEV=$(readlink -f "$2")
 
 if [ -z "$SRC" ]; then
+    echo "Missing source"
     shortusage
     exit 1
 fi
 
 if [ ! -b "$SRC" -a ! -f "$SRC" ]; then
+    echo "$SRC is not a file or block device"
     shortusage
     exit 1
 fi
 
 # FIXME: If --format is given, we shouldn't care and just use /dev/foo1
-if [ -z "$TGTDEV" -o ! -b "$TGTDEV" ]; then
+if [ -z "$TGTDEV" ]; then
+    echo "Missing target device"
+    shortusage
+    exit 1
+fi
+
+if [ ! -b "$TGTDEV" ]; then
+    echo "$TGTDEV is not a block device"
     shortusage
     exit 1
 fi


commit 34bc411e2b71556cbf3101999c5555afd1283f80
Author: Bruce Jerrick <bmj001 at gmail.com>
Date:   Thu Feb 17 11:00:44 2011 -0800

    Fix skipcopy usage with DVD iso (#644194)
    
    Fix size estimation with skipcopy
    Copy install.img when using skipcopy with a DVD iso

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 607783f..213985e 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -912,7 +912,11 @@ fi
 
 # Verify available space for DVD installer
 if [ "$srctype" = "installer" ]; then
-    srcsize=$(du -s -B 1M $SRC | awk {'print $1;'})
+    if [ -z "$skipcopy" ]; then
+        srcsize=$(du -s -B 1M $SRC | awk {'print $1;'})
+    else
+        srcsize=0
+    fi
     if [ "$imgtype" = "install" ]; then
         imgpath=images/install.img
     else
@@ -981,13 +985,13 @@ if [ "$srctype" = "live" -a -z "$skipcopy" ]; then
 fi
 
 # DVD installer copy
-if [ \( "$srctype" = "installer" -o "$srctype" = "netinst" \) -a -z "$skipcopy" ]; then
+if [ \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
     echo "Copying DVD image to target device."
     mkdir -p $TGTMNT/images/
     if [ "$imgtype" = "install" ]; then
         copyFile $SRCMNT/images/install.img $TGTMNT/images/install.img || exitclean
     fi
-    if [ "$srctype" = "installer" ]; then
+    if [ "$srctype" = "installer" -a -z "$skipcopy" ]; then
         cp $SRC $TGTMNT/
     fi
     sync


commit a3e38942d29bcefd69b5d876dee1c95775a8bba0
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu Feb 17 08:38:36 2011 -0800

    Move selinux relabel to after %post (#648591)

diff --git a/imgcreate/creator.py b/imgcreate/creator.py
index b915b11..ec4c1ba 100644
--- a/imgcreate/creator.py
+++ b/imgcreate/creator.py
@@ -738,7 +738,6 @@ class ImageCreator(object):
         kickstart.KeyboardConfig(self._instroot).apply(ksh.keyboard)
         kickstart.TimezoneConfig(self._instroot).apply(ksh.timezone)
         kickstart.AuthConfig(self._instroot).apply(ksh.authconfig)
-        kickstart.SelinuxConfig(self._instroot).apply(ksh.selinux)
         kickstart.FirewallConfig(self._instroot).apply(ksh.firewall)
         kickstart.RootPasswordConfig(self._instroot).apply(ksh.rootpw)
         kickstart.ServicesConfig(self._instroot).apply(ksh.services)
@@ -749,6 +748,7 @@ class ImageCreator(object):
         self._create_bootconfig()
 
         self.__run_post_scripts()
+        kickstart.SelinuxConfig(self._instroot).apply(ksh.selinux)
 
     def launch_shell(self):
         """Launch a shell in the install root.


commit 228f10f51c8e415d6ddf59e8f94c99f5867caa86
Author: Brian C. Lane <bcl at redhat.com>
Date:   Wed Feb 16 09:41:43 2011 -0800

    Add support for virtio disks to livecd (#672936)
    
    VirtIO disks need their own drivers.

diff --git a/imgcreate/live.py b/imgcreate/live.py
index 708ff05..10d5cec 100755
--- a/imgcreate/live.py
+++ b/imgcreate/live.py
@@ -73,7 +73,9 @@ class LiveImageCreatorBase(LoopImageCreator):
 
         self.__isodir = None
 
-        self.__modules = ["=ata", "sym53c8xx", "aic7xxx", "=usb", "=firewire", "=mmc", "=pcmcia", "mptsas", "udf"]
+        self.__modules = ["=ata", "sym53c8xx", "aic7xxx", "=usb", "=firewire",
+                          "=mmc", "=pcmcia", "mptsas", "udf", "virtio_blk",
+                          "virtio_pci"]
         self.__modules.extend(kickstart.get_modules(self.ks))
 
         self._isofstype = "iso9660"




More information about the livecd mailing list